function K=gain_mul(u);

%                    ENTREE D ORDRE 9

% Cette fonction calcule le gain multiple de matrice K de 
% la loi de commande en B point propose par M DAMILANO 
% en decembre 1994 
                  % INERTIES
%                 I roulis=u(4)=Ir
%                 Itangage=u(5)=It
%                 Ilacet=u(6)=Il

                  % CHAMP MAGNETIQUE
%                 B(1)=u(1)
%                 B(2)=u(2)
%                 B(3)=u(3)

                  % Derivee CHAMP MAGNETIQUE
%                 B'(1)=u(7)
%                 B'(2)=u(8)
%                 B'(3)=u(9)

%          CALCUL DU GAIN MULTIPLE   K=-[v^]I[v^]/B

B=u(1:3)';

v=B/norm(B);

U=[0 -v(3) v(2);v(3) 0 -v(1);-v(2) v(1) 0];

I=[u(4) 0 0;0 u(5) 0;0 0 u(6)];

Bprime=[u(7) u(8) u(9)]';

K=U*I*U*Bprime/norm(B)^2;

end