function y=general(u);

%         ***************************************
%         *       DONNEES GEOMETRIQUES          *
%         ***************************************


Mo=u(1);  % MASSE SATELLITE SEUL
Io=u(2) ; % INERTIE SATELLITE SEUL
M=u(3);   % Masse terminale grand mat
L=u(4);   % Longueur du grand mat
r1=u(5);  % masse lineique du grand mat
m=u(6);   % Masse terminale petit mat
l=u(7);   % Longueur du petit mat
r2=u(8);  % masse lineique du grand mat
R=u(9);   % Demi largeur satellite
h1=u(10);  % paisseur du disque masse terminale
rayon1=u(11); % rayon du disque masse terminale
h2=u(12);  % paisseur disque masse secondaire
rayon2=u(13); % paisseur disque masse secondaire

Z=u(14);   % Altitude en km
s=u(15);   % Surface du mat
Cd=u(16);  % Coefficient arodynamique;

% ************************************************

D=centrage(u);
centre_inertie=D
inert=inertie(u);
Inertie_roulis=inert(1)
Inertie_tangage=inert(2)
Inertie_lacet=inert(3)

Z=u(14);
densite=dens_atm(Z);

Surface_totale=s+4*R^2+2*h1*2*rayon1

force_aero=0.5*densite*Surface_totale*Cd*39.86e13/6378000

deport_aero=(h1*2*rayon1*(L+2*R+h1/2-D)+4*R^2*(D-R)+s*(2*R+L/2-D))...
      /Surface_totale

couple_aero=deport_aero*force_aero

end