function y=passage(u);

% CHAMP MAGNETIQUE EN AXES ORBITAUX

% u(1)=BX
% u(2)=BY
% u(3)=BZ

% u(4) est le roulis phi
% u(5) est le tangage teta
% u(6) est le lacet psi

phi=u(4);
teta=u(5);
psi=u(6);

% ********* Programme calculant la matrice de passage *********
% *********** de la base XYZ a la base satellite xyz**********

p(1,1)=cos(psi)*cos(teta);
p(1,2)=sin(psi)*cos(teta);
p(1,3)=-sin(teta);

p(2,1)=cos(psi)*sin(teta)*sin(phi)-sin(psi)*cos(phi);
p(2,2)=cos(psi)*cos(phi)+sin(psi)*sin(teta)*sin(phi);
p(2,3)=cos(teta)*sin(phi);

p(3,1)=cos(psi)*sin(teta)*cos(phi)+sin(psi)*sin(phi);
p(3,2)=sin(psi)*sin(teta)*cos(phi)-cos(psi)*sin(phi);
p(3,3)=cos(teta)*cos(phi);

% CHAMP MAGNETIQUE EN AXES SATELLITE

y=p*[u(1) u(2) u(3)]';

end